# PhpDocumentor2Wrapper

Wrapper around PhpDocumentor2 (so we retain PHP 5.2 compatibility in the main task)

author | Michiel Rook mrook@php.net
version | $Id: 9f22f2863b649ddf3820399fd5738c58900b3a24 $
since | 2.4.10
package | phing.tasks.ext.phpdoc

### Methods

## Find the correct php documentor path

    findPhpDocumentorPath() : null|string

### Response

`null|string`

## Finds and initializes the phpDocumentor installation

    initializePhpDocumentor()

## Build a list of files (from the fileset elements) and call the phpDocumentor parser

    parseFiles() : string

### Response

`string`

## Runs phpDocumentor 2

    run()

## Sets the default package name

    setDefaultPackageName(string $defaultPackageName)

### Arguments

#### $defaultPackageName

`string`

## Sets destination/target directory

    setDestDir(\PhingFile $destDir)

### Arguments

#### $destDir

`\PhingFile`

## Sets filesets array

    setFilesets(array<mixed,\FileSet> $filesets)

### Arguments

#### $filesets

`array<mixed,\FileSet>`

## setPharLocation

    setPharLocation(string $pharLocation)

### Arguments

#### $pharLocation

`string`

## Sets project instance

    setProject(\Project $project)

### Arguments

#### $project

`\Project`

## Sets the template to use

    setTemplate(string $template)

### Arguments

#### $template

`string`

## Sets the title of the project

    setTitle(string $title)

### Arguments

#### $title

`string`

## Transforms the parsed files

    transformFiles()

### Properties

## Phing project instance

    project : \Project

var |

### Type(s)

`\Project`

## List of filesets

    filesets : array<mixed,\FileSet>

var |

### Type(s)

`array<mixed,\FileSet>`

## Destination/target directory

    destDir : \PhingFile

var |

### Type(s)

`\PhingFile`

## name of the template to use

    template : string

var |

### Type(s)

`string`

## Title of the project

    title : string

var |

### Type(s)

`string`

## Name of the default package

    defaultPackageName : string

var |

### Type(s)

`string`

## Path to the phpDocumentor 2 source

    phpDocumentorPath : string

var |

### Type(s)

`string`

## Path to the phpDocumentor .phar

    pharLocation : string

var |

### Type(s)

`string`

## app

    app : \phpDocumentor\Application

var |

### Type(s)

`\phpDocumentor\Application`